summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild10
1 files changed, 5 insertions, 5 deletions
diff --git a/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild
index 8700e2a20a..7d33eb34d1 100644
--- a/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild
+++ b/system/nvidia-legacy340-kernel/nvidia-legacy340-kernel.SlackBuild
@@ -58,15 +58,13 @@ elif [ "$ARCH" = "x86_64" ]; then
TARGET="x86_64"
fi
-unset ARCH
-
SRCNAM=NVIDIA-Linux-$TARGET-${VERSION}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
- echo "$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.$PKGTYPE"
+ echo "$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
fi
@@ -91,7 +89,9 @@ find -L . \
for i in $CWD/patches/* ; do patch -p1 < $i ; done
-(cd kernel || exit 1
+(
+ unset ARCH
+ cd kernel || exit 1
sed -i "s|-DNDEBUG$|-DNDEBUG -Wno-error=return-type -Wno-error=implicit-function-declaration|" Makefile
make SYSSRC=$KERNELPATH module || exit 1
cd uvm
@@ -124,4 +124,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.$PKGTYPE
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$ARCH-$BUILD$TAG.$PKGTYPE